/*
Theme Name: Twenty Twelve Child
Theme URI: http://example.com/twentytwelve-child/
Description: My custom child theme for Twenty Twelve.
Author: Numele Tău
Author URI: http://example.com
Template: twentytwelve
Version: 1.0.0
*/

/* --- Stiluri Generale Header și Corecții Spațiu --- */
body .site {
		padding: 0 20px;
		padding: 0 1rem;
		margin: 10px auto;
		box-shadow: 0 2px 6px rgba(100, 100, 100, 0.3);
	}
	
@media screen and (min-width: 960px) {
    .site {
		max-width: 89rem;
		max-width: 1260px;
    }
}
.site-header{
    display: flex;
    flex-direction: column;
    flex: 1;
}

.header-title-nav{
    display: flex;
    flex-direction: row;
    flex: 1;
    align-items: center;
    margin-bottom: 10px;
}
.header-title-nav .site-title{
 font-weight: bold;
 margin: 0;
}

.header-title-nav hgroup {
    display: flex;
    flex: 1;
}
.header-title-nav .main-navigation {
    display: flex;
    margin: 0;
}

.header-image{
    display: flex;
    flex-direction: row;
    flex: 1;
    align-items: center;
    justify-content: center;
    margin: 0;
}
.header-image img{
    margin: 0;
}

@media screen and (min-width: 600px) {
    .main-navigation li {
        margin: 0 1rem 0 0;
        font-weight: bold;
    }
}

@media screen and (min-width: 300px) and (max-width: 1160px) {
    .menu-toggle {
        display: block;
    }
    #site-navigation .nav-menu {
        display: none !important;
    }
    #site-navigation .nav-menu.toggled-on {
        display: block !important;
    }
}
@media screen and (max-width: 500px) {
    .header-title-nav .site-title{
        font-size: 20px;
    }
}

.main-navigation ul.nav-menu.toggled-on{
    display: block !important;   
    position: absolute;
    top: 0;
    right: 0;
    height: 100%;
    width: 70%;
    background: black;
    color: white;
    display: flex;
    padding-top: 50px;
}
.main-navigation ul.nav-menu.toggled-on li{
    display: flex;
}

.main-navigation ul.nav-menu.toggled-on li a{
    color: white;
    margin-left: auto;
    font-size: 18px;
}







